class_name GearPickup extends Area3D

@export var one_shot = false

func _on_body_entered(body):
	if body is not Player:
		return
	var taken = body.equip($Gear)
	if taken and one_shot:
		queue_free()

func _ready():
	assert($Gear is Gear, "GearPickup instantiated without child Gear!")
